commit:     b436406b48d2eec41a3df42248dc820478c58221
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 11 02:55:42 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 11 03:05:56 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b436406b

dev-python/networkx: Bump to 3.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/networkx/Manifest            |  1 +
 dev-python/networkx/networkx-3.4.ebuild | 66 +++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/networkx/Manifest b/dev-python/networkx/Manifest
index ad9c884c618e..7428d6361caa 100644
--- a/dev-python/networkx/Manifest
+++ b/dev-python/networkx/Manifest
@@ -1,2 +1,3 @@
 DIST networkx-3.3.tar.gz 2126579 BLAKE2B 
37d5d536e2564f9a219df70bb7f1b7c0717b99e9cdb7a4050aa321609a0ef34caecfda5a6ed8cb17f4d3b305b667adf8e40b58568dde8eb942d4a00b1ebdb255
 SHA512 
86306cabd7e15aa79cae4d84a42e8804b1e904fc2127725067a80e3ddf31f0fa72ebb9d21284018e72bdfc662c766a5be55564572aadaf7392dada7ea93d1ea4
+DIST networkx-3.4.tar.gz 2151262 BLAKE2B 
77bdc5262b173b7ce566c2d55e9180eb796f9f57eba0725e122d3dd51c62ad1bf6eb02e6f9daea592c3fe59ca17a7589b53089fdd069729bfff56aebfe536ca1
 SHA512 
f86957669256313af31d6743b29ad80b918a64084bb39fde077c151b886cbe1cf9b93c801e6d72f78ec9a15e790af462f463cdc56e785385dfde22f11bdf0bf7
 DIST networkx-3.4rc0.tar.gz 2146054 BLAKE2B 
9a183740a97136c85c75c1f34c11a6a753c0b1fc418074bcb02388822ddd2b7f5a53fc8f3866736dfb9833a300cf2e5d0776cbdceefcabdf0470cc89e790948e
 SHA512 
14f19e1e524b8e9dfa55ecab34fcbb426460e29633284ec62957abd143f54685ceae3993306f3beff3a33d3cb7f3e408be417971fde11c75827ef05d999dc5f0

diff --git a/dev-python/networkx/networkx-3.4.ebuild 
b/dev-python/networkx/networkx-3.4.ebuild
new file mode 100644
index 000000000000..b386d30100dd
--- /dev/null
+++ b/dev-python/networkx/networkx-3.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_FULLY_TESTED=( python3_{10..13} )
+PYTHON_COMPAT=( "${PYTHON_FULLY_TESTED[@]}" )
+
+inherit distutils-r1 multiprocessing optfeature pypi virtualx
+
+DESCRIPTION="Python tools to manipulate graphs and complex networks"
+HOMEPAGE="
+       https://networkx.org/
+       https://github.com/networkx/networkx/
+       https://pypi.org/project/networkx/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos"
+
+BDEPEND="
+       test? (
+               >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       >=dev-python/matplotlib-3.7[${PYTHON_USEDEP}]
+                       >=dev-python/numpy-1.24[${PYTHON_USEDEP}]
+                       >=dev-python/scipy-1.11.2[${PYTHON_USEDEP}]
+               ' "${PYTHON_FULLY_TESTED[@]}")
+       )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       if use x86 ; then
+               EPYTEST_DESELECT+=(
+                       # https://github.com/networkx/networkx/issues/5913 (bug 
#921958)
+                       
networkx/algorithms/approximation/tests/test_traveling_salesman.py::test_asadpour_tsp
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       # virtx implies nonfatal
+       nonfatal epytest -p xdist -n "$(makeopts_jobs)" --dist=worksteal || die
+}
+
+src_install() {
+       distutils-r1_src_install
+       # those examples use various assets and pre-compressed files
+       docompress -x /usr/share/doc/${PF}/examples
+}
+
+pkg_postinst() {
+       optfeature "recommended dependencies" "dev-python/matplotlib 
dev-python/numpy dev-python/pandas dev-python/scipy"
+       optfeature "graph drawing and graph layout algorithms" 
"dev-python/pygraphviz dev-python/pydot"
+       optfeature "YAML format reading and writing" "dev-python/pyyaml"
+       optfeature "shapefile format reading and writing" 
"sci-libs/gdal[python]"
+       optfeature "GraphML XML format" "dev-python/lxml"
+}

Reply via email to